Bug 1216189 - qt-creator runs incorrect ninja binary
Summary: qt-creator runs incorrect ninja binary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt-creator
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-28 17:25 UTC by Edward Rudd
Modified: 2015-05-12 20:48 UTC (History)
6 users (show)

Fixed In Version: qt-creator-3.2.2-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-08 07:41:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Edward Rudd 2015-04-28 17:25:51 UTC
Description of problem:
When building a cmake project using the Ninja build tool, qt-creator runs "ninja" instead of "ninja-build"

Version-Release number of selected component (if applicable):
3.3.2-2

How reproducible:
100%

Steps to Reproduce:
1. make a Cmake project
2. have Qt-creator open it and generate ninja project files for it
3. click build

Actual results:
Could not start process "ninja" 

Expected results:
qt-creator to run ninja-build

Additional info:

the ninja package renamed the binary to ninja-build due to the ninja IDE already using ninja as a binary name.  Cmake itself has been updated a while ago to use ninja-build by default.

*aside*
Really qt-creator should be using cmake --build .  instead to run the builds as then cmake is responsible for running the correct tool.

Comment 1 Fedora Update System 2015-04-28 23:55:20 UTC
qt-creator-3.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt-creator-3.4.0-2.fc21

Comment 2 Fedora Update System 2015-04-28 23:56:30 UTC
qt-creator-3.2.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt-creator-3.2.2-3.fc20

Comment 3 Fedora Update System 2015-04-28 23:56:36 UTC
qt-creator-3.4.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt-creator-3.4.0-2.fc22

Comment 4 Fedora Update System 2015-04-30 11:35:06 UTC
Package qt-creator-3.4.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-creator-3.4.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7174/qt-creator-3.4.0-2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-05-01 17:29:50 UTC
qt-creator-3.2.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt-creator-3.2.2-4.fc20

Comment 6 Fedora Update System 2015-05-01 17:29:57 UTC
qt-creator-3.4.0-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qt-creator-3.4.0-3.fc21

Comment 7 Fedora Update System 2015-05-01 17:30:06 UTC
qt-creator-3.4.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qt-creator-3.4.0-3.fc22

Comment 8 Fedora Update System 2015-05-08 07:41:27 UTC
qt-creator-3.4.0-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-05-12 20:35:55 UTC
qt-creator-3.4.0-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-05-12 20:48:45 UTC
qt-creator-3.2.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.